fop 1.1

## org.apache.fop.afp.fonts
Class CharacterSetOrientation

    java.lang.Object
      org.apache.fop.afp.fonts.CharacterSetOrientation

    public class CharacterSetOrientation

extends java.lang.Object

The IBM Font Object Content Architecture (FOCA) supports presentation of character shapes by defining their characteristics, which include Font-Description information for identifying the characters, Font-Metric information for positioning the characters, and Character-Shape information for presenting the character images. Presenting a graphic character on a presentation surface requires that you communicate this information clearly to rotate and position characters correctly on the physical or logical page. This class provides font metric information for a particular font as by the orientation. This information is obtained directly from the AFP font files which must be installed in the classpath under in the location specified by the path attribute in the afp-font.xml file.

Constructor Summary
`CharacterSetOrientation(int orientation)` Constructor for the CharacterSetOrientation, the orientation is expressed as the degrees rotation (i.e 0, 90, 180, 270)

Method Summary
`int` `getAscender()` Ascender height is the distance from the character baseline to the top of the character box.
`int` `getCapHeight()` Cap height is the average height of the uppercase characters in a font.
`int` `getDescender()` Descender depth is the distance from the character baseline to the bottom of a character box.
`int` `getEmSpaceIncrement()` Returns the em space increment.
`char` `getFirstChar()` The first character in the character set
`char` `getLastChar()` The last character in the character set
`int` `getOrientation()` The orientation for these metrics in the character set
`int` `getSpaceIncrement()` Returns the space increment.
`int` `getWidth(char character)` Get the width (in 1/1000ths of a point size) of the character identified by the parameter passed.
`int[]` `getWidths()` Get the width (in 1/1000ths of a point size) of all characters in this character set.
`int` `getXHeight()` XHeight refers to the height of the lower case letters above the baseline.
`void` `setAscender(int ascender)` Ascender height is the distance from the character baseline to the top of the character box.
`void` `setCapHeight(int capHeight)` Cap height is the average height of the uppercase characters in a font.
`void` `setDescender(int descender)` Descender depth is the distance from the character baseline to the bottom of a character box.
`void` `setEmSpaceIncrement(int value)` Sets the em space increment.
`void` `setFirstChar(char firstChar)` The first character in the character set
`void` `setLastChar(char lastChar)` The last character in the character set
`void` `setSpaceIncrement(int value)` Sets the space increment.
`void` `setWidth(char character, int width)` Set the width (in 1/1000ths of a point size) of the character identified by the parameter passed.
`void` `setXHeight(int xHeight)` XHeight refers to the height of the lower case letters above the baseline.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterSetOrientation

    public CharacterSetOrientation(int orientation)

  Constructor for the CharacterSetOrientation, the orientation is expressed as the degrees rotation (i.e 0, 90, 180, 270)

  Parameters:
    `orientation` - the character set orientation

Method Detail

### getAscender

    public int getAscender()

  Ascender height is the distance from the character baseline to the top of the character box. A negative ascender height signifies that all of the graphic character is below the character baseline. For a character rotation other than 0, ascender height loses its meaning when the character is lying on its side or is upside down with respect to normal viewing orientation. For the general case, Ascender Height is the character's most positive y-axis value. For bounded character boxes, for a given character having an ascender, ascender height and baseline offset are equal.

  Returns:
    the ascender value in millipoints

### getCapHeight

    public int getCapHeight()

  Cap height is the average height of the uppercase characters in a font. This value is specified by the designer of a font and is usually the height of the uppercase M.

  Returns:
    the cap height value in millipoints

### getDescender

    public int getDescender()

  Descender depth is the distance from the character baseline to the bottom of a character box. A negative descender depth signifies that all of the graphic character is above the character baseline.

  Returns:
    the descender value in millipoints

### getFirstChar

    public char getFirstChar()

  The first character in the character set

  Returns:
    the first character (Unicode codepoint)

### getLastChar

    public char getLastChar()

  The last character in the character set

  Returns:
    the last character (Unicode codepoint)

### getOrientation

    public int getOrientation()

  The orientation for these metrics in the character set

  Returns:
    the orientation

### getWidths

    public int[] getWidths()

  Get the width (in 1/1000ths of a point size) of all characters in this character set.

  Returns:
    the widths of all characters

### getXHeight

    public int getXHeight()

  XHeight refers to the height of the lower case letters above the baseline.

  Returns:
    heightX the typical height of characters

### getWidth

    public int getWidth(char character)

  Get the width (in 1/1000ths of a point size) of the character identified by the parameter passed.

  Parameters:
    `character` - the Unicode character to evaluate
  Returns:
    the widths of the character

### setAscender

    public void setAscender(int ascender)

  Ascender height is the distance from the character baseline to the top of the character box. A negative ascender height signifies that all of the graphic character is below the character baseline. For a character rotation other than 0, ascender height loses its meaning when the character is lying on its side or is upside down with respect to normal viewing orientation. For the general case, Ascender Height is the character's most positive y-axis value. For bounded character boxes, for a given character having an ascender, ascender height and baseline offset are equal.

  Parameters:
    `ascender` - the ascender to set

### setCapHeight

    public void setCapHeight(int capHeight)

  Cap height is the average height of the uppercase characters in a font. This value is specified by the designer of a font and is usually the height of the uppercase M.

  Parameters:
    `capHeight` - the cap height to set

### setDescender

    public void setDescender(int descender)

  Descender depth is the distance from the character baseline to the bottom of a character box. A negative descender depth signifies that all of the graphic character is above the character baseline.

  Parameters:
    `descender` - the descender value in millipoints

### setFirstChar

    public void setFirstChar(char firstChar)

  The first character in the character set

  Parameters:
    `firstChar` - the first character

### setLastChar

    public void setLastChar(char lastChar)

  The last character in the character set

  Parameters:
    `lastChar` - the last character

### setWidth

    public void setWidth(char character,
                         int width)

  Set the width (in 1/1000ths of a point size) of the character identified by the parameter passed.

  Parameters:
    `character` - the Unicode character for which the width is being set
    `width` - the widths of the character

### setXHeight

    public void setXHeight(int xHeight)

  XHeight refers to the height of the lower case letters above the baseline.

  Parameters:
    `xHeight` - the typical height of characters

### getSpaceIncrement

    public int getSpaceIncrement()

  Returns the space increment.

  Returns:
    the space increment

### setSpaceIncrement

    public void setSpaceIncrement(int value)

  Sets the space increment.

  Parameters:
    `value` - the space increment

### getEmSpaceIncrement

    public int getEmSpaceIncrement()

  Returns the em space increment.

  Returns:
    the em space increment

### setEmSpaceIncrement

    public void setEmSpaceIncrement(int value)

  Sets the em space increment.

  Parameters:
    `value` - the em space increment

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.